using Newtonsoft.Json;

namespace inutralia.Models
{
    [JsonObject(MemberSerialization.OptIn)]
    [DataPath("shoppingList")]

    public class ShoppingList : ObservableEntityData
    {
        [JsonProperty("text", Required = Required.Always)]
        public string Text { get; set; }

        [JsonProperty("select", Required = Required.Always)]
        public bool Select { get; set; }

        [JsonProperty("fromMenus", Required = Required.Always)]
        public bool FromMenus { get; set; }

        public ShoppingList() { }
    }
}
